Subject: Problems building Xemacs/i686-pc-cygwin
From: David Starks-Browning <[email-masked]>
To: "David A. Cobb" <[email-masked]>
Cc: [email-masked]
Date: Thu, 2 Aug 2001 12:01:27 +0100

On Wednesday 1 Aug 01, David A. Cobb writes:
> Lieber Cygwin:
> 
> I'm dropping the middle of a conversation from xemacs-beta here because the 
> problem seems to originate in one of the cygwin applications.
> I've been trying to build the current beta of xemacs-21.5 and having no joy 
> at all.
> Configure works fine, the "make" fails.
> ld is looking for several symbols "_imp__dbm_????????;" these are defined 
> in "/bin/libgdbm.dll.a" and referenced from "<xemacs-build-dir>/database.o" 
> -- the latter being customized from configure.
> 
> It would appear that the configuration tools don't know to look for the 
> ".dll.a" file; indeed, I didn't notice it among the many appendages to the 
> link library list.
> 
> [ snip ]
>
> ../configure i686-pc-cygwin --prefix=/usr/local/ \
>   --exec-prefix=/usr/local/i686-pc-cygwin/ \
>   --libdir=/usr/local/lib/ \
>   --without-x \
>   --with-site-lisp \
>   --with-database=gdbm \
>   --with-sound=native,noesd \
>   --use-union-type && \
> make && \
> make install

David,

You don't show the exact gcc (or ld? or xemacs?) command that
generates the errors.  You may have supplied it to the xemacs-beta
list originally, but it's missing in this message to the cygwin list.
If supplied, I could compare it to the one in my successful
xemacs-21.5 build.

Plain "configure" (without any package options) + "make" works fine
for me.  ("make install" fails, but that's an xemacs packaging
problem, not a Cygwin problem.)

For reference, my configure log contains:

> checking for database support
> checking for ndbm.h... yes
> checking for dbm_open in -lgdbm... yes
>     Prepending "-lgdbm" to $LIBS
>     Defining HAVE_DBM
> checking for Berkeley db.h... no
>     Defining HAVE_DATABASE
>     xemacs will be linked with "database.o"

Hope this helps.

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/